1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. rdsmysql
  6. AllowList
Viewing docs for volcenginecc v0.0.33
published on Thursday, May 7, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.33
published on Thursday, May 7, 2026 by Volcengine

    The allowlist is a security measure for database connections. Only IP addresses in the allowlist can access the database.

    Example Usage

    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    resources:
      rdsMysqlAllowListDemo:
        type: volcenginecc:rdsmysql:AllowList
        name: RdsMysqlAllowListDemo
        properties:
          userAllowLists:
            - 1.2.3.4
          allowListCategory: Default
          allowListDesc: this is a test
          allowListName: ccapi-test-2
          allowListType: IPv4
          projectName: default
          securityGroupBindInfos:
            - bind_mode: AssociateEcsIp
              ip_list: null
              security_group_id: sg-1a10axxxxxvepkdgqgnu
              security_group_name: Default
            - bind_mode: IngressDirectionIp
              ip_list:
                - 100.70.0.0/16
                - 100.72.0.0/16
                - 0.0.0.0/0
              security_group_id: sg-3nqt4kwxxxxx931ebkntmrc
              security_group_name: Default
    

    Create AllowList Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new AllowList(name: string, args?: AllowListArgs, opts?: CustomResourceOptions);
    @overload
    def AllowList(resource_name: str,
                  args: Optional[AllowListArgs] = None,
                  opts: Optional[ResourceOptions] = None)
    
    @overload
    def AllowList(resource_name: str,
                  opts: Optional[ResourceOptions] = None,
                  allow_list_category: Optional[str] = None,
                  allow_list_desc: Optional[str] = None,
                  allow_list_name: Optional[str] = None,
                  allow_list_type: Optional[str] = None,
                  allow_lists: Optional[Sequence[str]] = None,
                  associated_instance_num: Optional[int] = None,
                  ignore_instance_status: Optional[bool] = None,
                  instance_id: Optional[str] = None,
                  modify_mode: Optional[str] = None,
                  project_name: Optional[str] = None,
                  security_group_bind_infos: Optional[Sequence[AllowListSecurityGroupBindInfoArgs]] = None,
                  security_group_ids: Optional[Sequence[str]] = None,
                  update_security_group: Optional[bool] = None,
                  user_allow_lists: Optional[Sequence[str]] = None)
    func NewAllowList(ctx *Context, name string, args *AllowListArgs, opts ...ResourceOption) (*AllowList, error)
    public AllowList(string name, AllowListArgs? args = null, CustomResourceOptions? opts = null)
    public AllowList(String name, AllowListArgs args)
    public AllowList(String name, AllowListArgs args, CustomResourceOptions options)
    
    type: volcenginecc:rdsmysql:AllowList
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var exampleallowListResourceResourceFromRdsmysqlallowList = new Volcenginecc.Rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList", new()
    {
        AllowListCategory = "string",
        AllowListDesc = "string",
        AllowListName = "string",
        AllowListType = "string",
        AllowListValue = new[]
        {
            "string",
        },
        AssociatedInstanceNum = 0,
        IgnoreInstanceStatus = false,
        InstanceId = "string",
        ModifyMode = "string",
        ProjectName = "string",
        SecurityGroupBindInfos = new[]
        {
            new Volcenginecc.Rdsmysql.Inputs.AllowListSecurityGroupBindInfoArgs
            {
                BindMode = "string",
                IpLists = new[]
                {
                    "string",
                },
                SecurityGroupId = "string",
                SecurityGroupName = "string",
            },
        },
        SecurityGroupIds = new[]
        {
            "string",
        },
        UpdateSecurityGroup = false,
        UserAllowLists = new[]
        {
            "string",
        },
    });
    
    example, err := rdsmysql.NewAllowList(ctx, "exampleallowListResourceResourceFromRdsmysqlallowList", &rdsmysql.AllowListArgs{
    	AllowListCategory: pulumi.String("string"),
    	AllowListDesc:     pulumi.String("string"),
    	AllowListName:     pulumi.String("string"),
    	AllowListType:     pulumi.String("string"),
    	AllowLists: pulumi.StringArray{
    		pulumi.String("string"),
    	},
    	AssociatedInstanceNum: pulumi.Int(0),
    	IgnoreInstanceStatus:  pulumi.Bool(false),
    	InstanceId:            pulumi.String("string"),
    	ModifyMode:            pulumi.String("string"),
    	ProjectName:           pulumi.String("string"),
    	SecurityGroupBindInfos: rdsmysql.AllowListSecurityGroupBindInfoArray{
    		&rdsmysql.AllowListSecurityGroupBindInfoArgs{
    			BindMode: pulumi.String("string"),
    			IpLists: pulumi.StringArray{
    				pulumi.String("string"),
    			},
    			SecurityGroupId:   pulumi.String("string"),
    			SecurityGroupName: pulumi.String("string"),
    		},
    	},
    	SecurityGroupIds: pulumi.StringArray{
    		pulumi.String("string"),
    	},
    	UpdateSecurityGroup: pulumi.Bool(false),
    	UserAllowLists: pulumi.StringArray{
    		pulumi.String("string"),
    	},
    })
    
    var exampleallowListResourceResourceFromRdsmysqlallowList = new com.volcengine.volcenginecc.rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList", com.volcengine.volcenginecc.rdsmysql.AllowListArgs.builder()
        .allowListCategory("string")
        .allowListDesc("string")
        .allowListName("string")
        .allowListType("string")
        .allowLists("string")
        .associatedInstanceNum(0)
        .ignoreInstanceStatus(false)
        .instanceId("string")
        .modifyMode("string")
        .projectName("string")
        .securityGroupBindInfos(AllowListSecurityGroupBindInfoArgs.builder()
            .bindMode("string")
            .ipLists("string")
            .securityGroupId("string")
            .securityGroupName("string")
            .build())
        .securityGroupIds("string")
        .updateSecurityGroup(false)
        .userAllowLists("string")
        .build());
    
    exampleallow_list_resource_resource_from_rdsmysqlallow_list = volcenginecc.rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList",
        allow_list_category="string",
        allow_list_desc="string",
        allow_list_name="string",
        allow_list_type="string",
        allow_lists=["string"],
        associated_instance_num=0,
        ignore_instance_status=False,
        instance_id="string",
        modify_mode="string",
        project_name="string",
        security_group_bind_infos=[{
            "bind_mode": "string",
            "ip_lists": ["string"],
            "security_group_id": "string",
            "security_group_name": "string",
        }],
        security_group_ids=["string"],
        update_security_group=False,
        user_allow_lists=["string"])
    
    const exampleallowListResourceResourceFromRdsmysqlallowList = new volcenginecc.rdsmysql.AllowList("exampleallowListResourceResourceFromRdsmysqlallowList", {
        allowListCategory: "string",
        allowListDesc: "string",
        allowListName: "string",
        allowListType: "string",
        allowLists: ["string"],
        associatedInstanceNum: 0,
        ignoreInstanceStatus: false,
        instanceId: "string",
        modifyMode: "string",
        projectName: "string",
        securityGroupBindInfos: [{
            bindMode: "string",
            ipLists: ["string"],
            securityGroupId: "string",
            securityGroupName: "string",
        }],
        securityGroupIds: ["string"],
        updateSecurityGroup: false,
        userAllowLists: ["string"],
    });
    
    type: volcenginecc:rdsmysql:AllowList
    properties:
        allowListCategory: string
        allowListDesc: string
        allowListName: string
        allowListType: string
        allowLists:
            - string
        associatedInstanceNum: 0
        ignoreInstanceStatus: false
        instanceId: string
        modifyMode: string
        projectName: string
        securityGroupBindInfos:
            - bindMode: string
              ipLists:
                - string
              securityGroupId: string
              securityGroupName: string
        securityGroupIds:
            - string
        updateSecurityGroup: false
        userAllowLists:
            - string
    

    AllowList Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The AllowList resource accepts the following input properties:

    AllowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    AllowListDesc string
    Allowlist remarks.
    AllowListName string
    Allowlist name.
    AllowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    AllowListValue List<string>
    IP address list in the allowlist
    AssociatedInstanceNum int
    Total number of instances bound to the allowlist.
    IgnoreInstanceStatus bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    InstanceId string
    Instance ID.
    ModifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    ProjectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    SecurityGroupBindInfos List<Volcengine.AllowListSecurityGroupBindInfo>
    SecurityGroupIds List<string>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    UserAllowLists List<string>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    AllowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    AllowListDesc string
    Allowlist remarks.
    AllowListName string
    Allowlist name.
    AllowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    AllowLists []string
    IP address list in the allowlist
    AssociatedInstanceNum int
    Total number of instances bound to the allowlist.
    IgnoreInstanceStatus bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    InstanceId string
    Instance ID.
    ModifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    ProjectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    SecurityGroupBindInfos []AllowListSecurityGroupBindInfoArgs
    SecurityGroupIds []string
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    UserAllowLists []string
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory String
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc String
    Allowlist remarks.
    allowListName String
    Allowlist name.
    allowListType String
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists List<String>
    IP address list in the allowlist
    associatedInstanceNum Integer
    Total number of instances bound to the allowlist.
    ignoreInstanceStatus Boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId String
    Instance ID.
    modifyMode String
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName String
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos List<AllowListSecurityGroupBindInfo>
    securityGroupIds List<String>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists List<String>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc string
    Allowlist remarks.
    allowListName string
    Allowlist name.
    allowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists string[]
    IP address list in the allowlist
    associatedInstanceNum number
    Total number of instances bound to the allowlist.
    ignoreInstanceStatus boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId string
    Instance ID.
    modifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos AllowListSecurityGroupBindInfo[]
    securityGroupIds string[]
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists string[]
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allow_list_category str
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allow_list_desc str
    Allowlist remarks.
    allow_list_name str
    Allowlist name.
    allow_list_type str
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allow_lists Sequence[str]
    IP address list in the allowlist
    associated_instance_num int
    Total number of instances bound to the allowlist.
    ignore_instance_status bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instance_id str
    Instance ID.
    modify_mode str
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    project_name str
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    security_group_bind_infos Sequence[AllowListSecurityGroupBindInfoArgs]
    security_group_ids Sequence[str]
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    update_security_group bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    user_allow_lists Sequence[str]
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory String
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc String
    Allowlist remarks.
    allowListName String
    Allowlist name.
    allowListType String
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists List<String>
    IP address list in the allowlist
    associatedInstanceNum Number
    Total number of instances bound to the allowlist.
    ignoreInstanceStatus Boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId String
    Instance ID.
    modifyMode String
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName String
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos List<Property Map>
    securityGroupIds List<String>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists List<String>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the AllowList resource produces the following output properties:

    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Total number of IP addresses (or ranges) in the allowlist.
    AssociatedInstances List<Volcengine.AllowListAssociatedInstance>
    Id string
    The provider-assigned unique ID for this managed resource.
    IpLists List<string>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Total number of IP addresses (or ranges) in the allowlist.
    AssociatedInstances []AllowListAssociatedInstance
    Id string
    The provider-assigned unique ID for this managed resource.
    IpLists []string
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    allowListId String
    Allowlist ID.
    allowListIpNum Integer
    Total number of IP addresses (or ranges) in the allowlist.
    associatedInstances List<AllowListAssociatedInstance>
    id String
    The provider-assigned unique ID for this managed resource.
    ipLists List<String>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    allowListId string
    Allowlist ID.
    allowListIpNum number
    Total number of IP addresses (or ranges) in the allowlist.
    associatedInstances AllowListAssociatedInstance[]
    id string
    The provider-assigned unique ID for this managed resource.
    ipLists string[]
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    allow_list_id str
    Allowlist ID.
    allow_list_ip_num int
    Total number of IP addresses (or ranges) in the allowlist.
    associated_instances Sequence[AllowListAssociatedInstance]
    id str
    The provider-assigned unique ID for this managed resource.
    ip_lists Sequence[str]
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    allowListId String
    Allowlist ID.
    allowListIpNum Number
    Total number of IP addresses (or ranges) in the allowlist.
    associatedInstances List<Property Map>
    id String
    The provider-assigned unique ID for this managed resource.
    ipLists List<String>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.

    Look up Existing AllowList Resource

    Get an existing AllowList resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: AllowListState, opts?: CustomResourceOptions): AllowList
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            allow_list_category: Optional[str] = None,
            allow_list_desc: Optional[str] = None,
            allow_list_id: Optional[str] = None,
            allow_list_ip_num: Optional[int] = None,
            allow_list_name: Optional[str] = None,
            allow_list_type: Optional[str] = None,
            allow_lists: Optional[Sequence[str]] = None,
            associated_instance_num: Optional[int] = None,
            associated_instances: Optional[Sequence[AllowListAssociatedInstanceArgs]] = None,
            ignore_instance_status: Optional[bool] = None,
            instance_id: Optional[str] = None,
            ip_lists: Optional[Sequence[str]] = None,
            modify_mode: Optional[str] = None,
            project_name: Optional[str] = None,
            security_group_bind_infos: Optional[Sequence[AllowListSecurityGroupBindInfoArgs]] = None,
            security_group_ids: Optional[Sequence[str]] = None,
            update_security_group: Optional[bool] = None,
            user_allow_lists: Optional[Sequence[str]] = None) -> AllowList
    func GetAllowList(ctx *Context, name string, id IDInput, state *AllowListState, opts ...ResourceOption) (*AllowList, error)
    public static AllowList Get(string name, Input<string> id, AllowListState? state, CustomResourceOptions? opts = null)
    public static AllowList get(String name, Output<String> id, AllowListState state, CustomResourceOptions options)
    resources:  _:    type: volcenginecc:rdsmysql:AllowList    get:      id: ${id}
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    AllowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    AllowListDesc string
    Allowlist remarks.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Total number of IP addresses (or ranges) in the allowlist.
    AllowListName string
    Allowlist name.
    AllowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    AllowListValue List<string>
    IP address list in the allowlist
    AssociatedInstanceNum int
    Total number of instances bound to the allowlist.
    AssociatedInstances List<Volcengine.AllowListAssociatedInstance>
    IgnoreInstanceStatus bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    InstanceId string
    Instance ID.
    IpLists List<string>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    ModifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    ProjectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    SecurityGroupBindInfos List<Volcengine.AllowListSecurityGroupBindInfo>
    SecurityGroupIds List<string>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    UserAllowLists List<string>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    AllowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    AllowListDesc string
    Allowlist remarks.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Total number of IP addresses (or ranges) in the allowlist.
    AllowListName string
    Allowlist name.
    AllowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    AllowLists []string
    IP address list in the allowlist
    AssociatedInstanceNum int
    Total number of instances bound to the allowlist.
    AssociatedInstances []AllowListAssociatedInstanceArgs
    IgnoreInstanceStatus bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    InstanceId string
    Instance ID.
    IpLists []string
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    ModifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    ProjectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    SecurityGroupBindInfos []AllowListSecurityGroupBindInfoArgs
    SecurityGroupIds []string
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    UserAllowLists []string
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory String
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc String
    Allowlist remarks.
    allowListId String
    Allowlist ID.
    allowListIpNum Integer
    Total number of IP addresses (or ranges) in the allowlist.
    allowListName String
    Allowlist name.
    allowListType String
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists List<String>
    IP address list in the allowlist
    associatedInstanceNum Integer
    Total number of instances bound to the allowlist.
    associatedInstances List<AllowListAssociatedInstance>
    ignoreInstanceStatus Boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId String
    Instance ID.
    ipLists List<String>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modifyMode String
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName String
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos List<AllowListSecurityGroupBindInfo>
    securityGroupIds List<String>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists List<String>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory string
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc string
    Allowlist remarks.
    allowListId string
    Allowlist ID.
    allowListIpNum number
    Total number of IP addresses (or ranges) in the allowlist.
    allowListName string
    Allowlist name.
    allowListType string
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists string[]
    IP address list in the allowlist
    associatedInstanceNum number
    Total number of instances bound to the allowlist.
    associatedInstances AllowListAssociatedInstance[]
    ignoreInstanceStatus boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId string
    Instance ID.
    ipLists string[]
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modifyMode string
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName string
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos AllowListSecurityGroupBindInfo[]
    securityGroupIds string[]
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists string[]
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allow_list_category str
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allow_list_desc str
    Allowlist remarks.
    allow_list_id str
    Allowlist ID.
    allow_list_ip_num int
    Total number of IP addresses (or ranges) in the allowlist.
    allow_list_name str
    Allowlist name.
    allow_list_type str
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allow_lists Sequence[str]
    IP address list in the allowlist
    associated_instance_num int
    Total number of instances bound to the allowlist.
    associated_instances Sequence[AllowListAssociatedInstanceArgs]
    ignore_instance_status bool
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instance_id str
    Instance ID.
    ip_lists Sequence[str]
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modify_mode str
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    project_name str
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    security_group_bind_infos Sequence[AllowListSecurityGroupBindInfoArgs]
    security_group_ids Sequence[str]
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    update_security_group bool
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    user_allow_lists Sequence[str]
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.
    allowListCategory String
    Allowlist category. Values: Ordinary: Ordinary allowlist. Default: Default allowlist. Note: When used as a request parameter, the default value is Ordinary.
    allowListDesc String
    Allowlist remarks.
    allowListId String
    Allowlist ID.
    allowListIpNum Number
    Total number of IP addresses (or ranges) in the allowlist.
    allowListName String
    Allowlist name.
    allowListType String
    IP address types in the allowlist. Only IPv4 addresses are currently supported.
    allowLists List<String>
    IP address list in the allowlist
    associatedInstanceNum Number
    Total number of instances bound to the allowlist.
    associatedInstances List<Property Map>
    ignoreInstanceStatus Boolean
    Ignore instance status check. Values: true: Yes. false: No. Default value.
    instanceId String
    Instance ID.
    ipLists List<String>
    List of IP addresses and IP ranges included in the allowlist. Returned when the WithIpList request parameter is set to true; returns null when set to false or not specified.
    modifyMode String
    Modification method. Available values: Cover (default): Overwrite the original allowlist with the values from the AllowList parameter. Append: Add the IP addresses entered in the AllowList parameter to the original allowlist. Delete: Remove the IP addresses entered in the AllowList parameter from the original allowlist. At least one IP address must remain.
    projectName String
    Project. Note: If the AK/SK used to call the API belongs to a sub-account that only has permission for a specific project, you need to provide this request parameter.
    securityGroupBindInfos List<Property Map>
    securityGroupIds List<String>
    List of security group IDs to associate. Note: You can call the DescribeSecurityGroups API to query security group information, including security group IDs. A single allowlist can add up to 10 security groups at a time. This field cannot be used together with SecurityGroupBindInfos.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. true: update. false: do not update. Default value. This field is effective only when the allowlist is already bound to a security group. You can call the DescribeAllowLists API to check if the allowlist is bound to a security group.
    userAllowLists List<String>
    IP addresses entered by the user in this list. The IPs in the AllowList field are the union of IPs included in UserAllowList and SecurityGroupBindInfos.

    Supporting Types

    AllowListAssociatedInstance, AllowListAssociatedInstanceArgs

    InstanceId string
    Instance ID bound to the current allowlist.
    InstanceName string
    Instance name bound to the current allowlist.
    InstanceStatus string
    Instance status.
    IsLatest bool
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    Vpc string
    Private network ID of the instance.
    InstanceId string
    Instance ID bound to the current allowlist.
    InstanceName string
    Instance name bound to the current allowlist.
    InstanceStatus string
    Instance status.
    IsLatest bool
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    Vpc string
    Private network ID of the instance.
    instanceId String
    Instance ID bound to the current allowlist.
    instanceName String
    Instance name bound to the current allowlist.
    instanceStatus String
    Instance status.
    isLatest Boolean
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc String
    Private network ID of the instance.
    instanceId string
    Instance ID bound to the current allowlist.
    instanceName string
    Instance name bound to the current allowlist.
    instanceStatus string
    Instance status.
    isLatest boolean
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc string
    Private network ID of the instance.
    instance_id str
    Instance ID bound to the current allowlist.
    instance_name str
    Instance name bound to the current allowlist.
    instance_status str
    Instance status.
    is_latest bool
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc str
    Private network ID of the instance.
    instanceId String
    Instance ID bound to the current allowlist.
    instanceName String
    Instance name bound to the current allowlist.
    instanceStatus String
    Instance status.
    isLatest Boolean
    Has the latest allowlist been synchronized? Values: true: Yes. false: No. Note: When modifying the allowlist, if the instance is not running, changes to the allowlist will not be immediately synchronized to the instance.
    vpc String
    Private network ID of the instance.

    AllowListSecurityGroupBindInfo, AllowListSecurityGroupBindInfoArgs

    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    IpLists List<string>
    Security group IP address list.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    IpLists []string
    Security group IP address list.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ipLists List<String>
    Security group IP address list.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.
    bindMode string
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ipLists string[]
    Security group IP address list.
    securityGroupId string
    Security group ID.
    securityGroupName string
    Security group name.
    bind_mode str
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ip_lists Sequence[str]
    Security group IP address list.
    security_group_id str
    Security group ID.
    security_group_name str
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: Inbound IP. AssociateEcsIp: Associate ECS IP. Note: In the CreateAllowList API, the BindMode and SecurityGroupId fields of SecurityGroupBindInfoObject are required.
    ipLists List<String>
    Security group IP address list.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.

    Import

    $ pulumi import volcenginecc:rdsmysql/allowList:AllowList example "allow_list_id"
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.33
    published on Thursday, May 7, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.